%global momorel 2
%global ocamlver 3.10.2

%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-fileutils
Version:        0.3.0
Release:        %{momorel}m%{?dist}
Summary:        OCaml library for common file and filename operations

Group:          Development/Libraries
License:        "LGPLv2 with exceptions"
URL:            http://www.gallu.homelinux.org/download/
Source0:        http://www.gallu.homelinux.org/download/ocaml-fileutils-0.3.0.tar.gz
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml >= %{ocamlver}
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-camlp4-devel
BuildRequires: rpm >= 4.4.2.3-4m

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
This library is intended to provide a basic interface to the most
common file and filename operations.  It provides several different
filename functions: reduce, make_absolute, make_relative...  It also
enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one
manipulates real files, the second one is made for manipulating
abstract filenames.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q
# The whole build system for this package is totally broken.
# We build into a temporary directory then copy the files
# to the right place.
./configure --prefix=%{_prefix} --libdir=%{_libdir} \
  --enable-ocamlfind \
  --with-builddir=`pwd`/tmp


%build
# Nothing: 'make' builds and installs.  Stupid!


%install
# Go and do your broken stuff now ...
rm -rf tmp
make
# make doc   (borked)

# ... and copy the files to the right places.
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml
cp -r tmp/lib/fileutils $RPM_BUILD_ROOT%{_libdir}/ocaml
rm -rf tmp


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/ocaml/fileutils
%if %opt
%exclude %{_libdir}/ocaml/fileutils/*.a
%exclude %{_libdir}/ocaml/fileutils/*.cmxa
%endif


%files devel
%defattr(-,root,root,-)
%doc COPYING AUTHOR CHANGELOG README TODO
%if %opt
%{_libdir}/ocaml/fileutils/*.a
%{_libdir}/ocaml/fileutils/*.cmxa
%endif


%changelog
* Thu Jan 08 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-2m)
- rebuild against rpm-4.4.2.3-4m

* Tue May 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-1m)
- import from Fedora

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-5
- Rebuild for OCaml 3.10.2

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-4
- Rebuild for ppc64.

* Thu Feb 21 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-3
- Fixed grammar in the description section.
- License is LGPLv2 with exceptions
- Include license file with both RPMs.
- Include other documentation only in the -devel RPM.

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-2
- Added BR ocaml-camlp4-devel.
- Build into tmp directory under the build root.

* Wed Aug  8 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-1
- Initial RPM release.
